TechDraw AngleDimension/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "==Descriere== Instrumentul pentru cote unghiulare adaugă o cotă unghiulară unei imagini. Cota poate fi unghi interior, și între oricare două segment ede line draptă car...")
(Replaced content with "==Cum se folosește==")
(25 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommand|Name=TechDraw Dimension Angle|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Angle|Shortcut=|SeeAlso=}}
{{Docnav
|[[TechDraw_DiameterDimension|DiameterDimension]]
|[[TechDraw_3PtAngleDimension|3PtAngleDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_DiameterDimension.svg
|IconR=TechDraw_3PtAngleDimension.svg
|IconC=Workbench_TechDraw.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=TechDraw Dimension Angle|Workbenches=[[TechDraw_Workbench|TechDraw]]|MenuLocation=TechDraw → Dimension Angle|Shortcut=|SeeAlso=}}
</div>


==Descriere==
==Descriere==
Line 6: Line 18:
[[File:AngleSample.png|200px|center]]
[[File:AngleSample.png|200px|center]]


The Angle Dimension tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_LinkDimension.svg|16px]] [[TechDraw_LinkDimension|TechDraw LinkDimension]]}} tool.
==How to use==

[[Image:TechDraw_Dimension_Angle_example.png|200px]]
{{Caption|Measuring the angle between two straight lines}}

==Cum se folosește==

# Select the points or edge which define your measurement.
# Select the points or edge which define your measurement.
# Press the {{KEY|[[Image:Dimension_Angle.png|24px]] [[TechDraw Dimension Angle|Dimension Angle]]}} button
# Press the {{Button|[[Image:TechDraw_AngleDimension.svg|16px]] [[TechDraw_AngleDimension|Angle Dimension]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# If needed, add tolerances as described in [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].


To change the properties of a dimension object either double-clicking it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].
==Options==
None.


==Properties==
== Limitations ==

{{TechDraw DimProps}}
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.

==Proprietăți==

See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].

==Script==
Cotele tip unghi pot fi adăugate la Pages utilizând Python.

{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

The Angle Dimension tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


==Scripting==
Angle dimensions can be added to Pages using Python.
{{Code|code=
{{Code|code=
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
Line 25: Line 53:
rc = page.addView(dim1)
rc = page.addView(dim1)
}}
}}

==Notes==

* None at this time
{{clear}}
{{Docnav
|[[TechDraw_DiameterDimension|DiameterDimension]]
|[[TechDraw_3PtAngleDimension|3PtAngleDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_DiameterDimension.svg
|IconR=TechDraw_3PtAngleDimension.svg
|IconC=Workbench_TechDraw.svg
}}

{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 19:32, 14 November 2021

TechDraw Dimension Angle

Menu location
TechDraw → Dimension Angle
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Descriere

Instrumentul pentru cote unghiulare adaugă o cotă unghiulară unei imagini. Cota poate fi unghi interior, și între oricare două segment ede line draptă care formează muchii. Unghiul va fi inițial unghiul proiectat(adică așa cum este reprezentată în desen), dar aceast unghi poate fi înlocuit prin unghiul 3D real utilizând instrumentul Link Dimension .

The Angle Dimension tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring the angle between two straight lines

Cum se folosește

  1. Select the points or edge which define your measurement.
  2. Press the Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Proprietăți

See TechDraw LengthDimension.

Script

Cotele tip unghi pot fi adăugate la Pages utilizând Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)